wtorek, 24 czerwca 2008

Subversion w Eclipse Ganymede

Jak to już bywa, w nowej wersji Eclipse-a nadal nie ma wsparcia dla SVN. Aby dodać sobie tą funkcjonalność należy zainstalować odpowiedni plugin (Subversive). Aby to zrobić należy z menu Help wybrać Software Updates... . W oknie które się pojawi przechodzimy do zakładki Available Software. Tutaj musimy dodać strony z których eclipse ma ściągnąć pluginy. Robimy to klikając na guzik Add Site... znajdujący się po prawej stronie okna i wpisujemy w pole Location adresy stron.

Eclipse Ganymede - dodanie repozytorium


Do spisu stron należy dodać:

  • http://download.eclipse.org/technology/subversive/0.7/update-site/

  • http://www.polarion.org/projects/subversive/download/eclipse/2.0/update-site/

  • http://www.polarion.org/projects/subversive/download/integrations/update-site/

Jeśli dodawanie poszło poprawnie strony które wpisaliśmy powinny pojawić się na liście, jak poinzej:

Eclipse Ganymede - lista pakietów svn


Na koniec zostaje nam wybranie odpowiednich pakietów (obrazek poniżej), poza podstawową listą pakietów do SVN warto również zainstalować plugin integrujący Subversion z Mylyn, dzięki niemu w miare łatwo i przyjemnie będzie można korzystać z dobrodziejstw kontroli wersji.
Po wybraniu pakietów klikamy Install... Otworzy się okno poniżej w którym klikamy Finish.

Eclipse Ganymede - lista pakietów wybranych


Po zainstalowaniu się pakietu możemy cieszyć się wsparciem SVN-a.

Brak komentarzy:

Prześlij komentarz